/* mathfunctions.h - standard math functions not included already in math.h */

void changeSign_vector(float *x, float *y, unsigned long nl, unsigned long nh);
void concatenate_lvector(unsigned long *x, unsigned long *y, unsigned long *z, unsigned long nl_x, 
	unsigned long nh_x, unsigned long nl_y, unsigned long nh_y, unsigned long nl_z);
void copy_lvector(unsigned long *x, unsigned long *y, unsigned long nl, unsigned long nh);
void copy_vector(float *x, float *y, unsigned long nl, unsigned long nh);
void dft_bin_nocomplex(float *x, float *y, unsigned long nl, unsigned long nh, int nDFT, int binNumber);
float fix(float x);
unsigned long maximum_vector(float *x, unsigned long nl, unsigned long nh);
void maximum_vectors(float *x, float *y, unsigned long nl, unsigned long nh);
float mean_vector(float *x, unsigned long nl, unsigned long nh);
void mult_scalar_vector(float *x, float y, float *z, unsigned long nl, unsigned long nh);
void print_lvector(unsigned long *x, unsigned long nl, unsigned long nh, char vectorName[]);
void print_vector(float *x, unsigned long nl, unsigned long nh, char vectorName[]);
float remainder2(float x, float y);
int roundFloat(float x);
int roundOdd(float x);
void shellsort_long(unsigned long n, unsigned long a[]);
float sinc(float x);
void subtract_vector(float *x, float *y, float *z, unsigned long nl, unsigned long nh);
float sum_vector(float *x, unsigned long nl, unsigned long nh);
void zero_vector(float *x, unsigned long nl, unsigned long nh);
