/* trackerfunctions.h - supporting functions specific to ptracker.c (i.e., not generic) */

float check_dft_ratio(float *y_dft, unsigned long nl, unsigned long nh, unsigned long nDFT, unsigned long i_center);
void dftCalcs(float *y_raw, float *y_dft, float *max_y_dft, 
			  unsigned long nl, unsigned long nh, int nDFT, int binNumber, int nDFTSmooth);
unsigned long findInterferogramCenter(float *x, unsigned long nl, unsigned long nh,
							 unsigned long nFringe, int useSymmetry, int templateType);
void generateIdealPacket(float *y_raw, unsigned long nl, unsigned long nh);
void maxDFTs(float *x1, float *x2, float *x3, float *x4, float *x5, 
			 float *y, unsigned long nl, unsigned long nh);
void meanFilter(float *x, float *y, unsigned long nl, unsigned long nh,
							 unsigned long N);
