/* general.c                                 */
/* Interferometry Data Reduction Software    */
/* by Stefan Kraus                           */
/* 2002-05                                   */
/*                                           */
/* copyright laws apply                      */

#define SWAP_BYTES 1
#define streamampstring1 "%i %f %i %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %i "
#define streamampstring2 "%f %f %f %f %f %f\n"

#define interf_array     2    //1=VLTI, 2=IOTA

#define max_targets      10    //only that model.c won't complain
#define max_objects      30    //max. number of objects
#define max_vispoints    4000
#define max_cppoints     1000

#define spacing          0.5   //one unit in the map corresponds to so many [mas]

